curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"input_names": null,
"media_input_names": null,
"support_history": false,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Create a new dataset for prompt-level testing. Use to organize test cases for evaluating individual prompts.
curl --request POST \
--url https://api.example.com/api/v2/projects/{project_id}/prompt-datasets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": null,
"input_names": null,
"media_input_names": null,
"support_history": false,
"tags": null
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"input_names": [
"<string>"
],
"media_input_names": [
"<string>"
],
"support_history": true,
"description": null,
"tags": null
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
PromptDatasetResponse(dataset: shared.sqlalchemy.models.Dataset, tags: Optional[list['TagResponse']] = None)